C  ==== TO WRITE(6, INPUT DATA===========
      SUBROUTINE COMONR( Z,R,BET,H,GAM,EPS,ALFA,
     *NE,IN,IL,IQ,JJ,XI,DIR,NU,KK,ISIGM1,ISIGM2,IS,L1,S1)
      REAL*8 ALFA,BET,H,Z,EPS,R,
     *GAM(*),JJ(*)
      INTEGER NE,S1,KK(*),ISIGM1(*),ISIGM2(*),
     *IN(*),IL(*),IQ(*),XI(*),DIR(*)
      WRITE(6, 10)Z
      WRITE(*, 10)Z
  10   FORMAT(16H   ATOMIC NUMBER,15X,F4.1,/
     *15H CONFIGURATION:/   ,
     *  '     N      L      ',
     *     'Q     JJ     XI     SPIN')
      DO 20 IZ=1,IS
C     IF( IL(IZ).GT.0) THEN
C     JJ(IZ)=IL(IZ)-0.5
C     ELSE
C     JJ(IZ)=-IL(IZ)-0.5
C     END IF
      WRITE(6, 30)IZ,IN(IZ),IL(IZ),IQ(IZ),JJ(IZ),XI(IZ),DIR(IZ)
      WRITE(*, 30)IZ,IN(IZ),IL(IZ),IQ(IZ),JJ(IZ),XI(IZ),DIR(IZ)
 20   CONTINUE
  30  FORMAT(I3,I3,4X,I3,4X,I3,4X,F3.1,4X,I3,4X,I3)
      WRITE(6, 40)S1,L1
  40  FORMAT(' TERM    2S+1=',I3,'   L=',I3)
      WRITE(6, 50)
  50   FORMAT(' ','COEFFICIENTS ')
112   WRITE(6, 60)
  60  FORMAT('        GAM    ',   11X,'INTERSHELL ',
     *' INTERACTION ',/24X,'K',3X,
     *' ISIGM1','    ISIGM2')
      IF(NU.LT.1) GOTO 70
      DO 80 IZCH=1,NU
  80   WRITE(6, 90)IZCH,GAM(IZCH),KK(IZCH),
     *ISIGM1(IZCH),ISIGM2(IZCH)
  90  FORMAT(I4,E15.8,1X,I5,3X,I5,5X,I5)
  70  CONTINUE
C  11 FORMAT(F15.8)
      WRITE(6, 100)EPS
  100  FORMAT(9H ACCURACY,15X,F15.8)
      WRITE(6, 110)R,NE,H,BET,ALFA
 110  FORMAT(' R MAX',22X,E15.8/
     *28H NO.OF INTEGRATION POINTS   ,
     *I4/19H STEP SIZE         ,9X,
     *E15.8/4H BET,24X,E15.8/5H ALFA,
     *23X,E15.8)
      RETURN
      END
